API ReferenceClients
Create a client
POST
Creates a new client for the requested tenant.
Analytics Events
TENANT_CLIENT_CREATE_STARTTENANT_CLIENT_CREATE_SUCCESSTENANT_CLIENT_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>tenantId*stringUnique ID of the tenant to create a client for.
Format
uuidapplication/json- body
name*nameName of the client associated with this tenant.
roles*array<>A list of roles assigned to the client.
Client created
application/json- response
clientId*clientIdIdentifier for the client to authenticate with this tenant.
Length
32 <= length <= 32name*stringName of the client associated with this tenant.
permissions*array<string>A list of permissions assigned to the client.
roles*array<>A list of roles assigned to the client.
clientSecret*clientSecretSecret for the client to authenticate with this tenant.
curl -X POST "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients" \ -H "Content-Type: application/json" \ -d '{ "name": "Example client", "roles": [ "issuer" ] }'{ "clientId": "suC7IhmDIawnlqBlEOuIqBWoqppcdI52", "name": "Example client", "permissions": [ "dids:read", "dids:create" ], "roles": [ "issuer" ], "clientSecret": "QmtShBH3mkO05ra91dNO-YyPwPbfs1iokh57IgqhzVWTAZlolCdeAGYOG2kz1"}How would you rate this page?